
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef speett_ERROR_H
#define speett_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_speett    (804)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_speett_SYNTAX_ERROR         H2_ENCODE_ERR(M_speett    , 1)
#define S_speett_NO_SENTENCE          H2_ENCODE_ERR(M_speett    , 2)
#define S_speett_NO_SOUND             H2_ENCODE_ERR(M_speett    , 3)
#define S_speett_NO_MEMORY            H2_ENCODE_ERR(M_speett    , 4)
#define S_speett_NO_AUDIO_DEVICE      H2_ENCODE_ERR(M_speett    , 5)
#define S_speett_NO_SUCH_FILE         H2_ENCODE_ERR(M_speett    , 6)


/* std errors */
#define S_speett_stdGenoM_ACTIVITY_INTERRUPTED       52749313   /* 804<<16 | 0x8000 | 100<<8 | 1 */
#define S_speett_stdGenoM_TOO_MANY_ACTIVITIES        52749314   /* 804<<16 | 0x8000 | 100<<8 | 2 */
#define S_speett_stdGenoM_ACTIVITY_FAILED            52749315   /* 804<<16 | 0x8000 | 100<<8 | 3 */
#define S_speett_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 52749316   /* 804<<16 | 0x8000 | 100<<8 | 4 */
#define S_speett_stdGenoM_UNKNOWN_ACTIVITY           52749317   /* 804<<16 | 0x8000 | 100<<8 | 5 */
#define S_speett_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 52749318   /* 804<<16 | 0x8000 | 100<<8 | 6 */
#define S_speett_stdGenoM_SYSTEM_ERROR               52749319   /* 804<<16 | 0x8000 | 100<<8 | 7 */
#define S_speett_stdGenoM_ACTIVITY_ALREADY_ENDED     52749320   /* 804<<16 | 0x8000 | 100<<8 | 8 */
#define S_speett_stdGenoM_WAIT_INIT_RQST             52749321   /* 804<<16 | 0x8000 | 100<<8 | 9 */
#define S_speett_stdGenoM_CONTROL_CODEL_ERROR        52749322   /* 804<<16 | 0x8000 | 100<<8 | 10 */
#define S_speett_stdGenoM_EXEC_TASK_SUSPENDED        52749323   /* 804<<16 | 0x8000 | 100<<8 | 11 */
#define S_speett_stdGenoM_BAD_BLOCK_TYPE             52749324   /* 804<<16 | 0x8000 | 100<<8 | 12 */
#define S_speett_stdGenoM_BAD_POSTER_TYPE            52749325   /* 804<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define SPEETT_H2_ERR_MSGS {\
    {"SYNTAX_ERROR", 1},\
    {"NO_SENTENCE", 2},\
    {"NO_SOUND", 3},\
    {"NO_MEMORY", 4},\
    {"NO_AUDIO_DEVICE", 5},\
    {"NO_SUCH_FILE", 6},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int speettRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
