
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef speett_TCLSERV_CLIENT_MSG_LIB_H
#define speett_TCLSERV_CLIENT_MSG_LIB_H

#include <server/speettType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int speettTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int speettTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int speettTclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 spt_init_p *(in_initp) 
		);

int speettTclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int speettTclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				spt_init_p *(in_initp) ,
				
				int *bilan);

int speettTclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					spt_init_p *(in_initp) ,
					
					int *bilan);




int speettTclservClientListenRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 spt_listen_p *(in_listenp) 
		);

int speettTclservClientListenReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int speettTclservClientListenRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				spt_listen_p *(in_listenp) ,
				
				int *bilan);

int speettTclservClientListenRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					spt_listen_p *(in_listenp) ,
					
					int *bilan);




int speettTclservClientStopListenRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int speettTclservClientStopListenReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int speettTclservClientStopListenRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int speettTclservClientPopRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 spt_pop_p *(in_popp) 
		);

int speettTclservClientPopReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      spt_pop_o *(out_popo),
			      int *bilan);


int speettTclservClientPopRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				spt_pop_p *(in_popp) ,
				spt_pop_o *(out_popo),
				int *bilan);

int speettTclservClientPopRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					spt_pop_p *(in_popp) ,
					spt_pop_o *(out_popo),
					int *bilan);




int speettTclservClientPushRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 spt_pop_o *(in_pushp) 
		);

int speettTclservClientPushReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int speettTclservClientPushRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				spt_pop_o *(in_pushp) ,
				
				int *bilan);

int speettTclservClientPushRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					spt_pop_o *(in_pushp) ,
					
					int *bilan);




int speettTclservClientFlushRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int speettTclservClientFlushReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int speettTclservClientFlushRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* speettTCLSERV_CLIENT_MSG_LIB_H */

